<?php

/**
 * @category   TargetMedia
 * @package    TargetPay IDEAL Controller
 * @Author     TargetMedia SvE
 */

class Mage_Tp_TpPaymentController extends Mage_Core_Controller_Front_Action
{
    protected $_code = "tp"; 
    
    // Redirect user & on succes give them a bank url
	public function redirectAction() {
		
        $tpPayment = Mage::getSingleton("tp/tpPayment");
		$url = $tpPayment->startTransaction();
        
        $order = Mage::getSingleton('checkout/session')->getQuote();
        
        /*
        var_dump ( $this->getRequest()->getPost());
        die;
        */
        
		// redirect
		header("Location: " . $url);
		exit();
	}

    // We get a return from the bank..
	public function returnAction() {
		
        $tpPayment = Mage::getSingleton("tp/tpPayment");
        $orderInf = Mage::getModel('sales/order');
        $transactionId = $this->getRequest()->get('trxid');
        
        // We are good- Payed. Give a succes message
        if ( $tpPayment->updateOrder($transactionId) == true ) { 
		    $this->_redirect('checkout/onepage/success', array('_secure'=>true));
        }
        else {
            //err they did not pay? Cancel??
            $this->_redirect('checkout/cart');
            //$orderInf->cancel()->save();                                                                                                                  
        } 
	}
}
